• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Android Error Billing Library version 3 on the store

KBeeeeR

Member
Hello people
I was trying to update my app on google play but google gives me an error syas:
"We've detected this app uses an unsupported version of Play billing. Please upgrade to Billing Library version 3 or newer to publish this app."

i think the problem caused by
Google Play Services Extension
inside it you can see "compile 'com.android.billingclient:billing:2.0.1'"

is there any way to fix it ? or i need to wait for an update?

billing2.png
 

rIKmAN

Member
Are you using the correct version of the extension?

I read somewhere that they'd made the updated extensions a new product/id on the marketplace rather than update the existing one so it might be worth checking that you are using the newer version and not the old one which hasn't been updated.
 

KBeeeeR

Member
Yes i'm using the latest version of the extension..
and tried to download it manually from the browser also as .yymp file
tried to remove it and re download it from inside gamemaker
its the same one and still using an old version of Billing Library.
 
Last edited:

rIKmAN

Member
Yes i'm using the latest version of the extension..
and tried to download it manually from the browser also as .yymp file
tried to remove it and re download it from inside gamemaker
its the same one and still using an old version of Billing Library.
Did you try this?
 

jzavala

GMC Member
YYG Staff
Hi @KBeeeeR

We split the Google Play Services extension in different asset, you can replace it using this extension:

And yes, I see your issue, if you download from marketplace web page you not get the latest version, this is already reported and we are working to fix it.
Please download from your library using GameMaker:Studio2

Search on your library this extension:
1635908691361.png

You can confirm that use library 3.0.3

1635908755511.png

I hope this solve your issues

Regards
 
Last edited:
Top